The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Опубликован список пакетов, планируемых к удалению в Ubuntu 10.04

04.04.2010 10:37

На саммите разработчиков Ubuntu Linux в Далласе подготовлен список пакетов, претендующих на удаление из репозиториев "universe" и "multiverse" (свободное и несвободное формально неподдерживаемое ПО) в Ubuntu 10.04 в связи с наличием проблем со сборкой или установкой на системах с архитектурой amd64 и i386. Если в ближайшее время мантейнеры данных пакетов не предоставят исправления, пакеты не войдут в состав Ubuntu 10.04.

Цель удаления - обеспечение высокого качества LTS-релиза, в котором пользователи не должны сталкиваться с пакетами для которых на всем протяжении времени жизни релиза Ubuntu 10.04 не может быть предоставлен гарантированный выпуск обновлений с исправлением проблем безопасности. Среди претендентов на удаление: GCC 4.2, samba4, GNU Smalltalk, vnc4server, PPerl, Lustre, jruby1.2, jbossas4, hotswap, haskell-utils, gpt, guile-gnome2, graphviz-cairo, ecl, am-utils.

  1. Главная ссылка к новости (http://www.mail-archive.com/ub...)
Лицензия: CC-BY
Тип: К сведению
Ключевые слова: ubuntu, packet
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (25) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (-), 11:01, 04/04/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    >GCC 4.2

    его реально ещё кто-то использует?

     
     
     
    Часть нити удалена модератором

  • 3.4, Egres (ok), 12:54, 04/04/2010 [ответить]  
  • +/
    После почти 10-ти лет использования Debian, попробовав текущий релиз на нетбуке пересел на ubuntu на обоих рабочих компах. Так что час настал. Всего навсего 5 (6?) релизов и дистрибутив вполне дорос до нормального :-)
     
  • 2.5, Аноним (-), 13:07, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >>GCC 4.2
    >его реально ещё кто-то использует?

    Иногда встречаются программы, которые требуют для сборки старые компиляторы. Старые версии программ или то что уже не поддерживается, да и просто для надёжности лучше использовать проверенные версии софта.

     
     
  • 3.8, anonymous (??), 13:24, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    ну так пускай  кому не хватает доустанавливает, если оно надо ток кому-то иногда то зачем с ним парится, как поддержывать старую версию проги если разрабы на нее забили?
     
  • 3.9, ононим (?), 13:30, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    тот, кто пользуется самой свежей убунтой как правило не нуждается в старом софте.
     
     
  • 4.10, Egres (ok), 13:35, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    >тот, кто пользуется самой свежей убунтой как правило не нуждается в старом
    >софте.

    Вы убунту с федорой не путайте.

     
  • 3.12, Resonance (ok), 15:03, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Ну так кампиль! Плачет оно... Те кому надо для "компиляции" старого софта - смогут и GCC 4.2 собрать
     
     
  • 4.13, Anonim (?), 15:31, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Что такое компилировать gcc? Думаете это так просто сделать с использованием нового компилятора и библиотек. Кроме того, причём здесь разработчики Ubuntu? Все пакеты в этих репах собирает "коммьюнити" по личной инициативе, поскольку им самим может понадобиться старый gcc.

    Кстати вы сами удивитесь как мало всего делает Canonical, а поддерживая идею выкидавать всё подряд вы можете в конечном счёте остаться совсем без софта.

     
     
  • 5.15, Аноним (-), 15:58, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >а поддерживая идею выкидавать всё подряд вы можете в конечном счёте остаться совсем без софта.

    мне как пользователю, да и программисту чихать на старую версию компилятора.

     
  • 5.23, pavlinux (ok), 22:59, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Что такое компилировать gcc? Думаете это так просто сделать
    > с использованием нового компилятора и библиотек.

    wget ftp://ftp.gwdg.de/pub/misc/gcc/releases/gcc-4.4.3/gcc-4.4.3.tar.bz2
    tar -xvf gcc-4.4.3.tar.bz2
    mkdir gcc-build && cd gcc-build;

    #!/bin/bash

    VER="4.4.3"
    CC=gcc-4.4.5
    CXX=g++4.4.5

    export CC CXX

    ../gcc-$VER/configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local \
                           --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib64 \
                           --libexecdir=/usr/lib64 --enable-languages=c,c++ --enable-checking \
                           --with-gxx-include-dir=/usr/include/c++/$VER --enable-ssp \
                           --disable-libssp --disable-libgcj --with-slibdir=/lib64 --with-system-zlib \
                           --enable-shared --enable-__cxa_atexit --enable-libstdcxx-allocator=new \
                           --program-suffix=-$VER --enable-version-specific-runtime-libs \
                           --with-gmp --with-mpfr --enable-bootstrap --enable-cld --with-cpu-64=opteron --with-cpu-32=pentium3 \
                           --without-system-libunwind  --host=x86_64-pc-linux --build=x86_64-pc-linux;

    make CFLAGS='-O3 -g0 -minline-stringops-dynamically -frecord-gcc-switches ' BOOT_CFLAGS='-funroll-all-loops -O2 -g0 ' CFLAGS_
    FOR_BUILD='-O3 -g0 -minline-stringops-dynamically -frecord-gcc-switches ' LIBCFLAGS='-g0 -O3 -frecord-gcc-switches ' LIBCXXFL
    AGS='-g0 -O3 -fno-implicit-templates' profiledbootstrap;
    make CFLAGS='-O3 -g0 -minline-stringops-dynamically -frecord-gcc-switches ' BOOT_CFLAGS='-funroll-all-loops -O2 -g0 ' CFLAGS_
    FOR_BUILD='-O3 -g0 -minline-stringops-dynamically -frecord-gcc-switches ' LIBCFLAGS='-g0 -O3 -frecord-gcc-switches ' LIBCXXFL
    AGS='-g0 -O3 -fno-implicit-templates' stagefeedback;

    if [ $? -eq 0 ]
      then
           make -j 4 bootstrap;
           make -j 2 && make -k check && make check;
        else
             echo "ERROR...";
             exit 1;
    fi

     
  • 5.28, vovans (ok), 12:01, 05/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    каноникал делает хотя бы то, что людей организовывает! Это уже немаловажно. При том, в убыток себе. А ещё, например, те же диски попробуй сам разослать. А я тебе потом скажу, что ты ничего не делаешь.

    Что до самого дистра, то он прилично от дебиана отличается. Причём, в сторону допиленности. Мне, как пользователю, начихать, какими путями это достигается.

     

  • 1.11, devlink (?), 14:24, 04/04/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    По моему выкинуть можно еще больше всего. Сначала оставить все самое необходимое. Должно быть: Все что надо можно установить, а не все что не надо - можно удалить.
     
     
  • 2.14, Anonim (?), 15:36, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Если нужно "только самое необходимое", используйте Crux или базовую установку Arch Linux. Как завещал старый разработчик последнего дистра: чего-то не нравится или не хватает - собери сам из исходников. Как раз то что он сделал была капля в море: взять LFS и приделать к нему пакетный менеджер собственного производства. За бортом остались Xorg, Gnome, KDE, texlive и проч. монстры, собирать которые врагу не пожелаешь. Арч конечно имеет всё это, но вот Crux так и остался с прежней философией, посему мало кто знает о нём хоть что-либо.
     
     
  • 3.18, sHaggY_caT (ok), 17:37, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Ubuntu LTS это дистрибутив, позиционируемый как дистрибутив для отвественного применения с гарантиями на достаточно долгое время поддержки.

    "Собери самостоятельно из исходников" никак не коррелирует с основной идеей использования LTS, которая близка к CentOS/RHEL: мантайнеры дистрибутива лучше знают свои едичиные пакеты, чем любой человек на свете весь дистрибутив.

    На сервере, особенно смотрящем наружу, Arch/Gentoo/и пр системы без релиз-цикла означают или забивательное отношение к безопасности и другим ошибкам и проблемам, или огромное количество дурной работы по поддержанию системы, которая уже поддерживается создателями дистрибутива, и заведомо лучше Вас, если дистрибутив достаточно популярен, то есть, системы без жесткого релиз цикла на сервере это _изобретательство_велосипеда.

    Именно по этой причине очень рулят минимальные установки систем вроде RHEL/CentOS/Debian/Ubuntu LTS :
    Поддержка базовой системы не Ваша проблема, Вы поддерживаете максимум один-два пакета, собранные Вами (для целевого или вспомогательного сервиса на сервере, если официальный пакет и его обции сборки Вас чем-то не устраивают, но вообще и такого стоит избегать) и установленные в систему штатным образом, обязательно, что бы никогда не было проблем с поддержанием системы.


    Все написанное имхо, но с большими претензиями на единственно верный подход, по крайней мере для публично доступных сервисов.

     
     
  • 4.19, Хоменко (ok), 19:35, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Тема gentoo на сервере -- пойди ее подними, скажем, на forum gentoo ru Как бы... текст свёрнут, показать
     
     
  • 5.20, sHaggY_caT (ok), 20:25, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Я лично больше всего доверяю RHEL, но и CentOS, Debian, FreeBSD, может быть и Ub... текст свёрнут, показать
     
     
  • 6.29, stranger (??), 12:11, 05/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Основное отличие Gentoo от Debian и RHEL в плане безопасности - это время разворачивания безопасной системы. При равной квалификации админов - пока в Gentoo будет пересобираться мир, админы бинарных дистрибутивов уже поставят и настроят систему, как минимум не хуже. А как и написано ниже - что делать, если серверов более одного двух? Да замучаетесь конфигурировать и поддерживать его. Особенно мило будет, когда при смене версии какого-нибудь сервиса формат конфига поломается и Вы будете ковыряться с его починкой, а Ваши пользователи будут ждать это время.

    Так что более высокая квалификация админов source-based дистрибутивов - это не более, чем миф, поддерживаемый ими же самими ;). Квалифицированный админ, он и в Африке админ. И неважно какой дистрибутив он использует.

     
  • 5.21, XoRe (ok), 22:14, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Как бы да.
    Gentoo позволяет лучше вылизать систему.
    Но представьте, что у вас 200 серверов.
    В одного особо не повылизываешь)
    Вот тогда и начинаешь задумываться об "оптимизации рутинных операций" и о LTS )
     
     
  • 6.24, pavlinux (ok), 23:04, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >Как бы да.
    >Gentoo позволяет лучше вылизать систему.
    >Но представьте, что у вас 200 серверов.
    >В одного особо не повылизываешь)
    >Вот тогда и начинаешь задумываться об "оптимизации рутинных операций" и о LTS
    >)

    Более того, даже если вылизав 200 серверов, уволят этого админа, ... пипец 200 серверам.

     

  • 1.17, ffsdmad (ok), 17:28, 04/04/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Неужели ни кому samba4 в LTS не нужна?
     
     
  • 2.22, XoRe (ok), 22:15, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >Неужели ни кому samba4 в LTS не нужна?

    Ещё как нужна.
    И вообще повыкидывали кучу вкусного.
    Но... всегда можно сделать apt-get install.

     
     
  • 3.25, pkunk (ok), 23:20, 04/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    «...подготовлен  список пакетов, претендующих на удаление из репозиториев "universe" и "multiverse"»
     
     
  • 4.27, Hety (??), 10:40, 05/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    ppa в launchpad. У самбы наверняка вообще есть свой ppa для nightly билдов и прочего.
     

  • 1.26, Zenitur (?), 09:31, 05/04/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Все чего нет в Убунту лишнее, все что имеет версию ниже чем в Убунту - устаревшее. Ну а если версия выше - никому не нужное.
     
     
  • 2.30, Ы (?), 18:35, 05/04/2010 [^] [^^] [^^^] [ответить]  
  • +/
    ЫЫЫЫЫЫ :) Это ты прямо в точку их приложил :)
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Слёрм
    Inferno Solutions
    Hosting by Ihor
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру